### Method

# Clutter PaintVolume get_depth

#### Declaration [src]

    gfloat
    clutter_paint_volume_get_depth (
      const ClutterPaintVolume* pv
    )

#### Description [src]

Retrieves the depth of the volume’s, axis aligned, bounding box.

In other words; this takes into account what actor’s coordinate space `pv` belongs too and conceptually fits an axis aligned box around the volume. It returns the size of that bounding box as measured along the z-axis.

If, for example, `clutter_actor_get_transformed_paint_volume()` is used to transform a 2D child actor that is 100px wide, 100px high and 0px deep into container coordinates then the depth might not simply be 0px if the child actor has a 3D rotation applied to it.

Remember: if `clutter_actor_get_transformed_paint_volume()` is used then the transformed volume will be defined relative to the container actor and in container coordinates a 2D child actor can have a 3D bounding volume.

There are no accuracy guarantees for the reported depth, except that it must always be greater than, or equal to, the actor’s depth. This is because actors may report simple, loose fitting paint volumes for efficiency.

#### Return value

Type: `gfloat`

The depth, in units of `pv`‘s local coordinate system.